Public Member Functions

# EndGameWindow Struct Reference

End game window shown at the end of the game. More...

Inheritance diagram for EndGameWindow:

## Public Member Functions
| EndGameWindow (const WindowDesc *desc)
virtual void | OnPaint ()
| The window must be repainted.

## Detailed Description

End game window shown at the end of the game.

Definition at line 91 of file highscore_gui.cpp.

## Member Function Documentation

virtual void EndGameWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 127 of file highscore_gui.cpp.

References _local_company, DrawStringMultiLine(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetIfValid(), EndGameHighScoreBaseWindow::GetTopLeft640x480(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, CompanyProperties::old_economy, CompanyEconomyEntry::performance_history, SA_CENTER, and SetDParam().

The documentation for this struct was generated from the following file:

- src/highscore_gui.cpp